Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.main
Class Main.CommandInfo

    java.lang.Object
      rdlc.main.Main.CommandInfo

Enclosing class:
  Main

    public static class Main.CommandInfo

extends java.lang.Object

Simple data structure to store information about a command or global option.

Version:
  $Revision: 1.40 $
Author:
  Greg Gibeling

Field Summary
`java.lang.String` | `help` The help text for this command.
`boolean` | `isGlobalOption` Is this a global option? (As opposed to a command)
`java.lang.String` | `name` The name of this command.
`Catalog<java.lang.String,Main.OptionInfo>` | `options` A catalog of options for this command.
`java.lang.String` | `text` The long text name for this command (to display to the user).

Constructor Summary
`Main.CommandInfo(java.lang.String _name, java.lang.String _help, java.lang.String _text, boolean _isGlobalOption)` Store the given information in this object.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  The name of this command.

### options

    public Catalog<java.lang.String,Main.OptionInfo> options

  A catalog of options for this command.

### help

    public java.lang.String help

  The help text for this command.

### text

    public java.lang.String text

  The long text name for this command (to display to the user).

### isGlobalOption

    public boolean isGlobalOption

  Is this a global option? (As opposed to a command)

Constructor Detail

### Main.CommandInfo

    public Main.CommandInfo(java.lang.String _name,
                            java.lang.String _help,
                            java.lang.String _text,
                            boolean _isGlobalOption)

  Store the given information in this object. Will also allocate the option catalog.

  Parameters:
    `_name` - The name of this command.
    `_help` - The help text for this command.
    `_text` - The long text name for this command (to display to the user).
    `_isGlobalOption` - Is this a global option? (As opposed to a command)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD